<?php 
add_shortcode( 'popup_product', 'wap_popup_product' );
function wap_popup_product( $atts, $content = null ) {
	$config = get_option('wap_options'); 
	
	$public_key = $config['access_key'];
	$private_key = $config['secret_key'];
	
	$params["AssociateTag"] = $config['tracking_id'];
	$params["Operation"] = "ItemSearch";
	$params["Service"] = "AWSECommerceService";
	$params["SearchIndex"] = "All";
	$params["Keywords"] = $content;
	$params["ResponseGroup"] = "Medium,Offers";
	$params["Version"] ="2011-08-01"; 
	$method = "GET"; 
	$host = "webservices.amazon.".$config['country']; 
	$uri = "/onca/xml";
	$params["AWSAccessKeyId"] = $public_key;
	$params["Timestamp"] = gmdate("Y-m-d\TH:i:s\Z");
	
	ksort($params);
	$canonicalized_query = array();
    foreach ($params as $param=>$value)
    {
        $param = str_replace("%7E", "~", rawurlencode($param));
        $value = str_replace("%7E", "~", rawurlencode($value));
        $canonicalized_query[] = $param."=".$value;
    }
	

    $canonicalized_query = implode("&", $canonicalized_query);
    $string_to_sign = $method."\n".$host."\n".$uri."\n".$canonicalized_query;
    $signature = base64_encode(hash_hmac("sha256", $string_to_sign, $private_key, True));
    $signature = str_replace("%7E", "~", rawurlencode($signature));
    $request = "http://".$host.$uri."?".$canonicalized_query."&Signature=".$signature;

	$ch = curl_init();
    curl_setopt($ch, CURLOPT_URL,$request);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 60);
    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);

    $response = curl_exec($ch);
    $pxml = simplexml_load_string($response);
	
	$out_item['ASIN'] = $pxml->Items->Item[0]->ASIN;
	$out_item['Title'] = $pxml->Items->Item[0]->ItemAttributes->Title;
	$out_item['large_URL'] = $pxml->Items->Item[0]->LargeImage->URL;
	$out_item['medium_URL'] = $pxml->Items->Item[0]->MediumImage->URL;
	$out_item['FormattedPrice'] = $pxml->Items->Item[0]->Offers->Offer->OfferListing->Price->FormattedPrice;
	$out_item['DetailPageURL'] = $pxml->Items->Item[0]->DetailPageURL;
	$out_item['AmountSaved'] = $pxml->Items->Item[0]->Offers->Offer->OfferListing->AmountSaved->FormattedPrice;
	$out_item['ListPrice'] = $pxml->Items->Item[0]->ItemAttributes->ListPrice->FormattedPrice;
	
	#var_dump( $out_item );
	
	return "<span title='aaa' class='tipper'>".$content."</span>
	
	<span class='tooltiptext'>

		<span class='title'><a href='".$out_item['DetailPageURL']."'>".$out_item['Title']."</a></span>
		<span class='inner_cont'>
			<img class='big_img' src='".$out_item['large_URL']."' />	
			<span class='data_block'>
				
				<span class='price'>New Price: ".$out_item['FormattedPrice']."</span>
				<span class='old_price'>Old Price: ".$out_item['ListPrice']."</span>
				<span class='saved'>You Save: ".$out_item['AmountSaved']."</span>
				<span class='button_block'>
				<a href='".$out_item['DetailPageURL']."'><img src=".plugins_url( '/images/addtocart.png', __FILE__ )." /></a>				
				</span>
			</span>
		</span>
	</span>";
}

?>